Package com.enonic.xp.index

## Class PatternIndexConfigDocument

- java.lang.Object
- - com.enonic.xp.index.AbstractIndexConfigDocument
  - - com.enonic.xp.index.PatternIndexConfigDocument

- All Implemented Interfaces:
    `IndexConfigDocument`

      @PublicApi
      public final class PatternIndexConfigDocument
      extends AbstractIndexConfigDocument

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PatternIndexConfigDocument.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PatternIndexConfigDocument.Builder` | `create()` |
    `static PatternIndexConfigDocument.Builder` | `create​(PatternIndexConfigDocument source)` |
    `boolean` | `equals​(Object o)` |
    `AllTextIndexConfig` | `getAllTextConfig()` |
    `IndexConfig` | `getConfigForPath​(PropertyPath dataPath)` |
    `IndexConfig` | `getConfigForPath​(IndexPath indexPath)` |
    `IndexConfig` | `getDefaultConfig()` |
    `ImmutableSortedSet<PathIndexConfig>` | `getPathIndexConfigs()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class com.enonic.xp.index.AbstractIndexConfigDocument

      `getAnalyzer`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultConfig

          public IndexConfig getDefaultConfig()

    - #### create

          public static PatternIndexConfigDocument.Builder create()

    - #### create

          public static PatternIndexConfigDocument.Builder create​(PatternIndexConfigDocument source)

    - #### getPathIndexConfigs

          public ImmutableSortedSet<PathIndexConfig> getPathIndexConfigs()

    - #### getConfigForPath

          public IndexConfig getConfigForPath​(PropertyPath dataPath)

    - #### getConfigForPath

          public IndexConfig getConfigForPath​(IndexPath indexPath)

    - #### getAllTextConfig

          public AllTextIndexConfig getAllTextConfig()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `AbstractIndexConfigDocument`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIndexConfigDocument`